# Uses of Class
org.apache.commons.math3.linear.DiagonalMatrix

Packages that use DiagonalMatrix
Package
Description
org.apache.commons.math3.linear
Linear algebra support.

## Uses of DiagonalMatrix in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that return DiagonalMatrix
Modifier and Type
Method
Description
`DiagonalMatrix`
DiagonalMatrix.`add(DiagonalMatrix m)`
Compute the sum of `this` and `m`.
`DiagonalMatrix`
DiagonalMatrix.`inverse()`
Computes the inverse of this diagonal matrix.
`DiagonalMatrix`
DiagonalMatrix.`inverse(double threshold)`
Computes the inverse of this diagonal matrix.
`DiagonalMatrix`
DiagonalMatrix.`multiply(DiagonalMatrix m)`
Returns the result of postmultiplying `this` by `m`.
`DiagonalMatrix`
DiagonalMatrix.`subtract(DiagonalMatrix m)`
Returns `this` minus `m`.
Methods in org.apache.commons.math3.linear with parameters of type DiagonalMatrix
Modifier and Type
Method
Description
`DiagonalMatrix`
DiagonalMatrix.`add(DiagonalMatrix m)`
Compute the sum of `this` and `m`.
`DiagonalMatrix`
DiagonalMatrix.`multiply(DiagonalMatrix m)`
Returns the result of postmultiplying `this` by `m`.
`DiagonalMatrix`
DiagonalMatrix.`subtract(DiagonalMatrix m)`
Returns `this` minus `m`.